> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://devin.ferndocs.com/api-reference/v-2/create-enterprise-playbook/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://devin.ferndocs.com/_mcp/server. # Create Enterprise Playbook POST https://api.devin.ai/v2/enterprise/playbooks Content-Type: application/json Create a new enterprise playbook. Reference: https://devin.ferndocs.com/api-reference/v-2/create-enterprise-playbook ## Authentication - `Authorization` header (bearer token, required) — Personal API Key (apk_user_*) or Service API Key (apk_*) ## Request ### Body (application/json) This endpoint expects a CreateEnterprisePlaybookRequest. - `body` (string, required) - `title` (string, required) - `macro` (string, optional, nullable) ## Response ### 200 Successful Response - `access` (string, required) - `account_id` (string, required) - `body` (string, required) - `created_at` (datetime, required, nullable) - `created_by_user_id` (string, required, nullable) - `created_by_user_name` (string, required, nullable) - `playbook_id` (string, required) - `status` (string, required) - `title` (string, required) - `updated_at` (datetime, required, nullable) - `updated_by_user_id` (string, required, nullable) - `updated_by_user_name` (string, required, nullable) - `macro` (string, optional, nullable) ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Request** ```json { "body": "Step 1: Assess the situation.\nStep 2: Notify the team.\nStep 3: Execute the response plan.", "title": "Incident Response Playbook" } ``` **Response** ```json { "access": "enterprise_admin", "account_id": "acc_9f8b7c6d5e4a3b2c1d0e", "body": "Step 1: Assess the situation.\nStep 2: Notify the team.\nStep 3: Execute the response plan.", "created_at": "2024-01-15T09:30:00Z", "created_by_user_id": "user_1234567890abcdef", "created_by_user_name": "Jane Doe", "playbook_id": "playbook_abcdef1234567890", "status": "active", "title": "Incident Response Playbook", "updated_at": "2024-01-15T09:30:00Z", "updated_by_user_id": "user_1234567890abcdef", "updated_by_user_name": "Jane Doe", "macro": "incident_response_macro_v1" } ``` **SDK Code** ```python import requests url = "https://api.devin.ai/v2/enterprise/playbooks" payload = { "body": "Step 1: Assess the situation. Step 2: Notify the team. Step 3: Execute the response plan.", "title": "Incident Response Playbook" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.devin.ai/v2/enterprise/playbooks'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"body":"Step 1: Assess the situation.\nStep 2: Notify the team.\nStep 3: Execute the response plan.","title":"Incident Response Playbook"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.devin.ai/v2/enterprise/playbooks" payload := strings.NewReader("{\n \"body\": \"Step 1: Assess the situation.\\nStep 2: Notify the team.\\nStep 3: Execute the response plan.\",\n \"title\": \"Incident Response Playbook\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.devin.ai/v2/enterprise/playbooks") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"body\": \"Step 1: Assess the situation.\\nStep 2: Notify the team.\\nStep 3: Execute the response plan.\",\n \"title\": \"Incident Response Playbook\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.devin.ai/v2/enterprise/playbooks") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"body\": \"Step 1: Assess the situation.\\nStep 2: Notify the team.\\nStep 3: Execute the response plan.\",\n \"title\": \"Incident Response Playbook\"\n}") .asString(); ``` ```php request('POST', 'https://api.devin.ai/v2/enterprise/playbooks', [ 'body' => '{ "body": "Step 1: Assess the situation.\\nStep 2: Notify the team.\\nStep 3: Execute the response plan.", "title": "Incident Response Playbook" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.devin.ai/v2/enterprise/playbooks"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"body\": \"Step 1: Assess the situation.\\nStep 2: Notify the team.\\nStep 3: Execute the response plan.\",\n \"title\": \"Incident Response Playbook\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "body": "Step 1: Assess the situation. Step 2: Notify the team. Step 3: Execute the response plan.", "title": "Incident Response Playbook" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.devin.ai/v2/enterprise/playbooks")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```